﻿@model IEnumerable<ClientRH.Models.OfferViewModel>

@{
    ViewBag.Title = "Liste des offres";
}
<h2>Rechercher des offres</h2>

<form asp-controller="Offer" asp-action="Index">
    <p>
        JobTitle : <input type="text" name="SearchString" />
        <input type="submit" value="Rechercher" />
    </p>
</form>


<h2>Liste des offres</h2>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.JobTitle)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Date)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.JobTitle)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Date)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                <a href="@Url.Action("OfferDetails", "Offer", new { id = item.ID })" class="btn btn-info">Détails</a>
            </td>
        </tr>
    }

</table>
